import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ReligionKatalogEintrag extends JavaObject {
    id: number;
    text: String | null;
    textZeugnis: String | null;
    kuerzel: String | null;
    sortierung: number;
    istSichtbar: boolean;
    istAenderbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ReligionKatalogEintrag;
    static transpilerToJSON(obj: ReligionKatalogEintrag): string;
    static transpilerToJSONPatch(obj: Partial<ReligionKatalogEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_ReligionKatalogEintrag(obj: unknown): ReligionKatalogEintrag;
